Supported Devices

To download that latest version of the MilestonePod App: For iOS click here. For Android click here for Google Play or here for the Amazon Appstore.

Like most other wearable fitness devices, the MilestonePod & MilestonePod App utilizes Bluetooth 4.0, also known as Bluetooth low energy. This is to extend battery life as long as possible.

Here is a list of devices that are compatible with the MilestonePod & MilestonePod App. If you do not see your device listed, check that it has Bluetooth 4.0 and the OS is iOS 8 (or higher) or Android 4.3 (or higher). If you have any questions, send us a support email. Thank you!

Apple/iOS: must be running iOS 8 or higher and Bluetooth 4.0 or higher

  • iPhone 4s
  • iPhone5, iPhone 5s, iPhone 5c
  • iPhone 6, iPhone 6 Plus, iPhone 6s, iPhone 6s Plus
  • iPhone 7, iPhone 7 Plus
  • iPod Touch (5th generation)
  • iPad 3, iPad 4, iPad Air, iPad Air 2, iPad Pro
  • iPad mini, iPad mini 2, iPad mini 4

 

Android*: must be running Android OS 4.3 (Jellybean) or higher and Bluetooth 4.0 or higher

  • Samsung Galaxy S3, S3 Mini, S4, S4 Mini, S4 Active
  • Samsung Galaxy S5, S6, S6 Active, S7, S7 Edge
  • Samsung Galaxy Note II and above
  • Kindle Fire, Fire HD
  • HTC One (OS v4.3+), HTC One (M8)
  • LG G2, G Flex, G Pro 2, G3, G4, V10
  • Motorola Moto G
  • Droid Ultra, MAXX, RAZR M, HD, HD MAXX
  • Nexus 4, 5, 7

*Since Android devices are so numerous, this list may not be exhaustive.